Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jersey.core.spi.component
Class AnnotatedContext

    java.lang.Object
      com.sun.jersey.core.spi.component.AnnotatedContext

All Implemented Interfaces:
  ComponentContext

    public class AnnotatedContext

extends java.lang.Object
implements ComponentContext

A component context for an array of annotations.

Author:
  paulsandoz

Constructor Summary
`AnnotatedContext()`
`AnnotatedContext(java.lang.annotation.Annotation[] annotations)`

Method Summary
`java.lang.reflect.AccessibleObject` | `getAccesibleObject()` Get the accessible object.
`java.lang.annotation.Annotation[]` | `getAnnotations()` Get the array of annotations.
`void` | `setAnnotations(java.lang.annotation.Annotation[] annotations)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedContext

    public AnnotatedContext()

### AnnotatedContext

    public AnnotatedContext(java.lang.annotation.Annotation[] annotations)

Method Detail

### setAnnotations

    public void setAnnotations(java.lang.annotation.Annotation[] annotations)

### getAccesibleObject

    public java.lang.reflect.AccessibleObject getAccesibleObject()

  Description copied from interface: `ComponentContext`
  Get the accessible object.

  Specified by:
    `getAccesibleObject` in interface `ComponentContext`
  Returns:
    the accessible object, may be null.

### getAnnotations

    public java.lang.annotation.Annotation[] getAnnotations()

  Description copied from interface: `ComponentContext`
  Get the array of annotations.

  Specified by:
    `getAnnotations` in interface `ComponentContext`
  Returns:
    the array of annotations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.